/**
 * 湖北省广播电视局
 */
const INTERFACR_URL = "https://ybj.hubei.gov.cn/webspider-ybj-dfjrj/api/haiyun/"; //接口地址

const WEBSITE_URL = "http://jyhpt.llb.chutianyun.gov.cn/pub/gdj/";

// const WEBSITE_URL = "http://gdj.hubei.gov.cn";//广电局网站地址

const NET_TIMEOUT = 50000; //网络请求超时,10秒
const NET_ERROR = "网络连接错误,请刷新！"; //网络连接错误消息

//新闻模块
const WCM_LIST_CAT_ID = "/gdj/ywdt/"; //新闻列表

//信息公开
const FILE_LIST = "/gdj/zfxxgk/zc/";//政策栏目列表
const PUBLIC_LIST = "/gdj/zfxxgk/fdzdgknr/";//公开栏目列表

//专题专栏
const ZTZL_LIST = "/gdj/ztzl/";//专题专栏

//一网一园一中心
const YWYYYZX_LIST = "/gdj/ztzl/2020n/ywyyyzx/";//一网一园一中心

//落实年十大活动
const LSNSDHD_LIST = "/gdj/ztzl/2020n/618lsnsdhd/";//落实年十大活动

//互动交流
const HDJL_LIST = "/gdj/hdjl2020/"; //互动交流

//隐私政策
const YSZC_CONTENT = "/gdj/qtmb/yszc/"; // 隐私政策
const INDEX_TOPIC = "/gdj/qtmb/zt/"; // 首页焦点图下三个专题

const WCM_NEWS_PARENT = '';
const WCM_NEWS_LIST = '';
// 自定义函数
var Tools = {
    /*
     * 补全资源url地址
     * @param thumbUrl {string} - url地址
     */
    fullThumbUrl: function (thumbUrl) {
        var regUrl = /http(s)?:\/\/([\w-]+\.)+[\w-]+(\/[\w- .\/?%&=]*)?/;

        if (thumbUrl && !regUrl.test(thumbUrl)) {
            return WEBSITE_URL + thumbUrl;
        } else {
            return thumbUrl;
        }
    },

    /*
     * 替换<br>标签
     * @param {string} str - url地址
     */
    replaceLabelBr: function (str) {
        var regBrackets = /\<br\/*\>/g;

        if (str) {
            return str.replace(regBrackets, '');
        } else {
            return null;
        }
    }
}

// 全局过滤器
/*
 * yyyy-MM-dd HH-mm-ss转换成yyyy-MM-dd
 * @param {string} date - yyyy-MM-dd HH-mm-ss
 * @returns {string} - yyyy-MM-dd
 */
Vue.filter('formatDate', function (date) {
    if (date) {
        var date = new Date(date.replace(/-/g, '/'));
        var myYear = date.getFullYear();
        var myMonth = date.getMonth() + 1;
        var myDate = date.getDate();

        myMonth = myMonth < 10 ? "0" + myMonth : myMonth;
        myDate = myDate < 10 ? "0" + myDate : myDate;

        var formatDate = myMonth + "-" + myDate;
        return formatDate;
    } else {
        return null;
    }
});
/*
 * yyyy-MM-dd HH-mm-ss转换成yyyy-MM-dd
 * @param {string} date - yyyy-MM-dd HH-mm-ss
 * @returns {string} - yyyy-MM-dd
 */

Vue.filter('formatYear', function (date) {
    if (date) {
        var date = new Date(date.replace(/-/g, '/'));
        var myYear = date.getFullYear();
        var myMonth = date.getMonth() + 1;
        var myDate = date.getDate();

        myMonth = myMonth < 10 ? "0" + myMonth : myMonth;
        myDate = myDate < 10 ? "0" + myDate : myDate;

        var formatYear = myYear + "-" + myMonth + "-" + myDate;
        return formatYear;
    } else {
        return null;
    }
});
/*
 * 设置source默认值
 * @param {string} source - source值
 */
Vue.filter('fullSource', function (source) {
    var str = source.replace(/(^\s*)|(\s*$)/g, "");

    if (str) {
        return str;
    } else {
        return "湖北省广播电视局";
    }
});


/*
 * 补全资源url地址
 * @param {string} thumbUrl - url地址
 */
Vue.filter('fullThumbUrl', function (thumbUrl) {
    var regUrl = /http(s)?:\/\/([\w-]+\.)+[\w-]+(\/[\w- .\/?%&=]*)?/;

    if (thumbUrl && !regUrl.test(thumbUrl)) {
        return WEBSITE_URL + thumbUrl;
    } else {
        return thumbUrl;
    }
});

/*
 * 获取括号前的内容
 * @param {string} str - url地址
 */
Vue.filter('interceptBrackets', function (str) {
    var regBrackets = /\（(.+?)\）|\((.+?)\)/g;

    if (str) {
        var strArr = str.match(regBrackets);

        if (strArr) {
            return str.substring(0, str.indexOf(strArr[strArr.length - 1]));
        } else {
            return null;
        }
    } else {
        return null;
    }
});

/**
 * 截取括号里面的内容
 * @param {string} str - url地址
 */
Vue.filter('interceptBracketsContent', function (str) {
    var regBrackets = /\（(.+?)\）|\((.+?)\)/g;

    if (str) {
        var strArr = str.match(regBrackets);

        if (strArr) {
            return strArr[strArr.length - 1].replace('（', '').replace('）', '').replace('(', '').replace(')', '');
        } else {
            return null;
        }

    } else {
        return null;
    }
});
